summaryrefslogtreecommitdiff
path: root/contrib/wallet-docker/gitbuild.sh
diff options
context:
space:
mode:
authorFlorian Dold <florian@dold.me>2020-11-25 16:30:31 +0100
committerFlorian Dold <florian@dold.me>2020-11-25 16:30:31 +0100
commitfcfe7e63701c03c69ec28835bd24699b270502b1 (patch)
tree0755ae52c01f78df0b205385e0c9a9d117525c24 /contrib/wallet-docker/gitbuild.sh
parent68dcb13fbfcf569c03170444818b5c40f2d13233 (diff)
downloadwallet-core-fcfe7e63701c03c69ec28835bd24699b270502b1.tar.gz
wallet-core-fcfe7e63701c03c69ec28835bd24699b270502b1.tar.bz2
wallet-core-fcfe7e63701c03c69ec28835bd24699b270502b1.zip
docker-based build instructions
Diffstat (limited to 'contrib/wallet-docker/gitbuild.sh')
-rw-r--r--contrib/wallet-docker/gitbuild.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/contrib/wallet-docker/gitbuild.sh b/contrib/wallet-docker/gitbuild.sh
new file mode 100644
index 000000000..9e84c82dd
--- /dev/null
+++ b/contrib/wallet-docker/gitbuild.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -eu
+
+# Fetch source
+git clone https://git.taler.net/wallet-core.git
+
+cd wallet-core
+
+# Only for git repositories
+./bootstrap
+
+# Run build
+./configure
+make webextension
+
+# Copy WebExtension to root folder
+cp wallet-core/packages/taler-wallet-webextension/taler-wallet*.zip /